## kdegraphics-thumbnailers-5 25.04.3+p24.04+vstable+git20251013.0829

=== debian/changelog ===
kdegraphics-thumbnailers-5 (4:25.04.3+p24.04+vstable+git20251013.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 08:29:34 +0000

kdegraphics-thumbnailers-5 (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Jul 2025 20:10:46 +0000

kdegraphics-thumbnailers-5 (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Jun 2025 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Apr 2025 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Mar 2025 20:08:11 +0000

kdegraphics-thumbnailers-5 (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Feb 2025 20:08:15 +0000

kdegraphics-thumbnailers-5 (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jan 2025 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Dec 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 20:08:08 +0000

kdegraphics-thumbnailers-5 (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 23 Aug 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 20:08:05 +0000

kdegraphics-thumbnailers-5 (4:24.05.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 20:08:07 +0000

kdegraphics-thumbnailers-5 (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 May 2024 20:08:07 +0000

kdegraphics-thumbnailers-5 (4:24.02.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Apr 2024 20:08:06 +0000

kdegraphics-thumbnailers-5 (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Mar 2024 20:08:06 +0000

kdegraphics-thumbnailers-5 (4:24.02.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:13:26 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/kdegraphics-thumbnailers-([\d.]+).tar.xz

## kdegraphics-thumbnailers-5 25.04.3+p24.04+vstable+git20251016.0749

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(kdegraphics-thumbnailers)

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.92.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
add_definitions(-DQT_USE_QSTRINGBUILDER)

option(DISABLE_BLENDER "Disable the blender thumbnailer." OFF)
option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)

if(QT_MAJOR_VERSION STREQUAL "6")
    set(KExiv2PackageName KExiv2Qt6)
else()
    set(KExiv2PackageName KF5KExiv2)
endif()
find_package(${KExiv2PackageName})
set_package_properties(${KExiv2PackageName}    PROPERTIES
                       DESCRIPTION "A library for reading and writing image metadata"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

if(QT_MAJOR_VERSION STREQUAL "6")
    set(KDcrawPackageName KDcrawQt6)
else()
    set(KDcrawPackageName KF5KDcraw)
endif()
find_package(${KDcrawPackageName})
set_package_properties(${KDcrawPackageName}    PROPERTIES
                       DESCRIPTION "A library for accessing raw files"
                       URL         "www.kde.org"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the RAW thumbnailer"
)

if (DISABLE_MOBIPOCKET)
    set(MOBIPOCKET_REQUIRED_TYPE "OPTIONAL")
    set(DISABLE_MOBIPOCKET_TEXT "")
else()
    set(MOBIPOCKET_REQUIRED_TYPE "REQUIRED")
    set(DISABLE_MOBIPOCKET_TEXT "Disable with DISABLE_MOBIPOCKET")
endif()

if(QT_MAJOR_VERSION STREQUAL "6")
    find_package(QMobipocket6)
    set_package_properties("QMobipocket6"    PROPERTIES
                        DESCRIPTION "A library for accessing mobipocket files"
                        URL         "www.kde.org"
                        TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
                        PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
    )
else()
    find_package(QMobipocket)
    set_package_properties("QMobipocket"    PROPERTIES
                        DESCRIPTION "A library for accessing mobipocket files"
                        URL         "www.kde.org"
                        TYPE        ${MOBIPOCKET_REQUIRED_TYPE}
                        PURPOSE     "Required to build the mobipocket thumbnailer. ${DISABLE_MOBIPOCKET_TEXT}"
    )
endif()


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.100.0
    )

ecm_optional_add_subdirectory(ps)

if(${KExiv2PackageName}_FOUND AND ${KDcrawPackageName}_FOUND)
ecm_optional_add_subdirectory(raw)
endif()

if (NOT DISABLE_BLENDER)
    find_package(KF${QT_MAJOR_VERSION}Archive ${KF_MIN_VERSION} REQUIRED)
    ecm_optional_add_subdirectory(blend)
endif()

if(QMobipocket6_FOUND OR QMobipocket_FOUND)
ecm_optional_add_subdirectory(mobipocket)
endif()

install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdegraphics-thumbnailers-5 (4:25.04.3+p24.04+vstable+git20251016.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:49:19 +0000

=== debian/control ===
Source: kdegraphics-thumbnailers-5
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5archive-dev,
               libkf5kdcraw-dev,
               libkf5kexiv2-dev,
               libkf5kio-dev,
               libqmobipocket5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kdegraphics-thumbnailers-5.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kdegraphics-thumbnailers-5
Maintainer: Neon CI <neon@kde.org>

Package: kdegraphics-thumbnailers-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-mobipocket (<< 4:21.12.1.1),
          kdegraphics-strigi-plugins (<< 4:4.6.90)
Breaks: kdegraphics-mobipocket (<< 4:21.12.1.1),
        kdegraphics-strigi-plugins (<< 4:4.6.90)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --buildsystem kf5

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
